.container {
    width: 1200px;
    margin: 0 auto;
    max-width: 100%;
}

@media screen and (max-width: 980px) {
    .container {
        width: 980px;
    }
}

@media screen and (max-width: 640px) {
    .container {
        width: 640px;
    }
}

@media screen and (max-width: 320px) {
    .container {
        width: 320px;
    }
}

/*------------HEADER-HEADER------------*/
.header {
    font-family: 'Lato', sans-serif;
}

.header__navbar {
    padding-left: 38px;
    padding-right: 38px;
    font-family: 'Montserrat', sans-serif;
    background-color: #666;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

@media screen and (max-width: 920px) {
    .header__navbar {
        padding: 0;
    }
}

.navbar__menu-left-list {
    display: flex;
}

.navbar__menu-left-item {
    display: flex;
    justify-content: center;
    align-items: center;
}

.navbar__menu-left-item-link {
    padding: 0 10px;
    font-family: Montserrat, sans-serif;
    text-transform: uppercase;
    text-decoration: none;
    color: #ffffff;
    font-size: 15px;
    line-height: 26px;
}

.header__banner {
    margin-bottom: 6px;
    padding: 58px 0 360px 38px;
    background: url("../img/Header-fon_1200.png") no-repeat;
    background-size: 100%;
}

@media screen and (max-width: 980px) {
    .header__banner {
        padding: 64px 0 245px 38px;
        background: url("../img/Header-fon_980.png") no-repeat;
        background-size: 100%;
    }
}

@media screen and (max-width: 920px) {
    .header__banner {
        margin-bottom: 2px;
        padding: 30px 0 197px 38px;
        background: url("../img/Header-fon_980.png") no-repeat;
        background-size: 100%;
    }
}

@media screen and (max-width: 420px) {
    .header__banner {
        padding: 30px 0 75px 20px;
        background: url("../img/Header-fon_980.png") no-repeat;
        background-size: 100%;
    }
}

.header__banner a {
    text-decoration: none;
}

.header__banner-heading {
    color: #ffffff;
    font-weight: 700;
    width: 650px;
    padding-bottom: 53px;
    font-size: 62px;
    line-height: 64px;
}

@media screen and (max-width: 1200px) {
    .header__banner-heading {
        width: 570px;
        padding-bottom: 57px;
        font-size: 54px;
    }
}

@media screen and (max-width: 920px) {
    .header__banner-heading {
        width: 378px;
        padding-bottom: 22px;
        font-size: 36px;
        line-height: 38px;
    }
}

@media screen and (max-width: 420px) {
    .header__banner-heading {
        width: 167px;
        padding-bottom: 10px;
        font-size: 16px;
        line-height: 20px;
    }
}

.header__banner-link {
    text-decoration: none;
    color: #a6d6e0;
    font-size: 38px;
    font-weight: 700;
}

@media screen and (max-width: 1200px) {
    .header__banner-link {
        font-size: 34px;
    }
}

@media screen and (max-width: 920px) {
    .header__banner-link {
        font-size: 24px;
    }
}

@media screen and (max-width: 420px) {
    .header__banner-link {
        font-size: 14px;
    }
}

/*----------for section width 640px---------*/
.header__navbar-nav {
    display: none;
}

@media screen and (max-width: 920px) {
    .header__navbar-nav {
        display: contents;
    }

    .header__navbar-link {
        padding-left: 38px;
        text-decoration: none;
        color: #ffffff;
        font-size: 24px;
        font-weight: 500;
        line-height: 26px;
        display: flex;
        align-items: center;
    }

    .toggle-navbar {
        position: relative;
        width: 83px;
        height: 74px;
        background-color: #333;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .line {
        width: 30px;
        height: 3px;
        background-color: #ffffff;
        margin-bottom: 5px;
        transition: all 0.4s ease;
        transform-origin: 0.8px;
    }

    .line:last-child {
        margin-bottom: 0;
    }

    .active .line:nth-of-type(1) {
        transform: rotate(36deg);
    }

    .active .line:nth-of-type(2) {
        opacity: 0;
    }

    .active .line:nth-of-type(3) {
        transform: rotate(-35deg);
    }

    .header__navbar-nav-menu {
        position: absolute;
        width: 243px;
        height: 214px;
        top: 18%;
        right: 0;
        bottom: 0;
        flex-direction: column;
        background-color: rgb(250, 250, 250);
        transition: all 0.4s linear;
    }

    .header__navbar-nav-menu li {
        display: flex;
        box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.35);
    }

    .header__navbar-nav-menu a {
        width: 243px;
        padding: 15px 0 15px 27px;
        font-size: 14px;
        border: 1px solid #e9e9e9;
        text-decoration: none;
        background-color: #fafafa;
        font-family: Lato, sans-serif;
        color: #444444;
    }

    .header__navbar-nav-menu a:hover {
        background-color: #f5f5f5;
    }

    .header__navbar__menu-left {
        display: none;
    }

    .header__navbar__menu-right {
        display: none;
    }
}

/*------------------------------------------*/

/*----------for section width 320px---------*/
@media screen and (max-width: 420px) {
    .header__navbar-nav {
        display: contents;
    }

    .header__navbar-link {
        padding-left: 20px;
        font-size: 12px;
    }

    .toggle-navbar {
        width: 40px;
        height: 40px;
    }

    .line {
        width: 16px;
        height: 2px;
        margin-bottom: 3px;
    }

    .line:last-child {
        margin-bottom: 0;
    }

    .active .line:nth-of-type(1) {
        transform: rotate(45deg);
    }

    .active .line:nth-of-type(2) {
        opacity: 0;
    }

    .active .line:nth-of-type(3) {
        transform: rotate(-45deg);
    }

    .header__navbar-nav-menu {
        width: 182px;
        height: 161px;
        top: 9.7%;
    }

    .header__navbar-nav-menu a {
        width: 182px;
        padding: 10px 0 10px 10px;
        font-size: 12px;
    }

    .header__navbar__menu-left {
        display: none;
    }

    .header__navbar__menu-right {
        display: none;
    }
}

/*------------------------------------------*/

/*------------------------------------------*/
/*------------SECTION-CATEGORIES------------*/
.categories {
    display: flex;
    text-align: center;
    font-family: 'Lato', sans-serif;
}

@media screen and (max-width: 920px) {
    .categories {
        flex-wrap: wrap;
    }
}

.categories__item {
    position: relative;
    padding: 175px 55px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100%;
    width: 100%;
}

@media screen and (max-width: 1200px) {
    .categories__item {
        padding: 145px 25px;
    }
}

@media screen and (max-width: 920px) {
    .categories__item {
        padding: 58px 136px;
    }

    .categories__item:nth-child(2n+1) {
        margin-top: 2px;
        margin-bottom: 2px;
    }
}

@media screen and (max-width: 420px) {
    .categories__item {
        padding: 27px 64px;
    }
}

.pizza-fon {
    background-image: url("../img/Pizza-delivery_fon1_980-1200.png");
}

.ua-ux-salads-fon {
    background-image: url("../img/UA_UX Salads_fon2_980-1200.png");
}

.desserts-fon {
    background-image: url("../img/Desserts_fon3_980-1200.png");
}

.categories__item-link {
    color: #ffffff;
    font-size: 43px;
    font-weight: 700;
    line-height: 44px;
    text-decoration: none;
}

@media screen and (max-width: 1200px) {
    .categories__item-link {
        font-size: 38px;
    }
}

@media screen and (max-width: 920px) {
    .categories__item-link {
        font-size: 36px;
    }
}

@media screen and (max-width: 420px) {
    .categories__item-link {
        font-size: 20px;
    }
}

.categories__item-link-hover {
    display: none;
}

@media screen and (max-width: 920px) {
    .categories__item-link-hover {
        display: flex;
        justify-content: center;
        align-items: center;
        position: absolute;
        opacity: 0;
        width: 25%;
        height: 100%;
        right: 0;
        top: 0;
    }

    .categories__item-link:hover .categories__item-link-hover {
        opacity: 1;
        background-color: rgb(172, 217, 173);
        transition: All 0.8s ease;
    }

    .categories__item-link:hover .categories__item-link-text {
        margin-right: 35%;
        transition: All 0.8s ease;
    }
}

@media screen and (max-width: 420px) {
    .categories__item-link:hover .categories__item-link-text {
        margin-right: 30%;
    }
}

/*------------------------------------------*/

/*--------------SECTION-MENU----------------*/
.menu {
    margin-right: 30px;
    margin-left: 30px;
    font-family: 'Lato', sans-serif;
}

@media screen and (max-width: 1200px) {
    .menu {
        margin-right: 35px;
        margin-left: 35px;
    }
}

@media screen and (max-width: 920px) {
    .menu {
        margin-right: 33px;
        margin-left: 33px;
    }
}

@media screen and (max-width: 420px) {
    .menu {
        margin-right: 22px;
        margin-left: 22px;
    }
}

.menu__header-block {
    margin-top: 77px;
    margin-left: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

@media screen and (max-width: 1200px) {
    .menu__header-block {
        margin-top: 72px;
        margin-left: 29px;
    }
}

@media screen and (max-width: 920px) {
    .menu__header-block {
        margin-top: 45px;
        margin-left: 20px;
    }
}

@media screen and (max-width: 420px) {
    .menu__header-block {
        margin-top: 26px;
        margin-left: 8px;
    }
}

.menu__header {
    text-transform: uppercase;
    color: #3f4043;
    font-size: 40px;
    text-align: left;
}

@media screen and (max-width: 1200px) {
    .menu__header {
        font-size: 34px;
    }
}

@media screen and (max-width: 920px) {
    .menu__header {
        font-size: 34px;
    }
}

@media screen and (max-width: 420px) {
    .menu__header {
        font-size: 17px;
    }
}

.menu__header-image img {
    height: 90px;
}

@media screen and (max-width: 1200px) {
    .menu__header-image img {
        height: 89px;
    }
}

@media screen and (max-width: 920px), (max-width: 420px) {
    .menu__header-image img {
        display: none;
    }
}

.menu__header-p {
    color: #cbcdce;
    padding-top: 10px;
    font-size: 20px;
}

@media screen and (max-width: 420px) {
    .menu__header-p {
        padding-top: 4px;
        font-size: 10px;
    }
}

.menu__block-dev {
    margin-top: 16px;
    display: flex;
}

@media screen and (max-width: 920px) {
    .menu__block-dev {
        display: block;
    }
}

@media screen and (max-width: 420px) {
    .menu__block-dev {
        margin-top: 10px;
        display: block;
    }
}

.block-header-image-upper {
    height: 50px;
}

@media screen and (max-width: 1200px) {
    .block-header-image-upper {
        height: 40px;
    }
}

.block-header-image-bottom {
    height: 48px;
}

@media screen and (max-width: 1200px) {
    .block-header-image-bottom {
        height: 42px;
    }
}

@media screen and (max-width: 420px) {
    .block-header-image-upper {
        height: 25px;
    }

    .block-header-image-bottom {
        height: 25px;
    }
}

.block-dev-p {
    padding: 23px 0 23px 18px;
    text-transform: uppercase;
    font-size: 40px;
    text-align: left;
}

@media screen and (max-width: 1200px) {
    .block-dev-p {
        padding: 27px 0 23px 18px;
        font-size: 34px;
    }
}

@media screen and (max-width: 920px) {
    .block-dev-p {
        padding: 23px 0 23px 38px;
        font-size: 36px;
    }

    .menu__block-dev-bottom {
        margin-top: 40px;
    }
}

@media screen and (max-width: 420px) {
    .block-dev-p {
        padding: 12px 0 12px 19px;
        font-size: 20px;
    }

    .menu__block-dev-bottom {
        margin-top: 29px;
    }
}

.grey-dev {
    color: #acd9ad;
    background-color: #3d3e41;
}

.white-dev {
    color: #ffffff;
    background-color: #acd9ad;
}

.block-container {
    margin-left: 20px;
    margin-right: 18px;
}

@media screen and (max-width: 1200px) {
    .block-container {
        margin-left: 18px;
        margin-right: 14px;
    }
}

@media screen and (max-width: 920px) {
    .block-container {
        margin-left: 38px;
        margin-right: 30px;
    }
}

@media screen and (max-width: 420px) {
    .block-container {
        margin-left: 18px;
        margin-right: 14px;
    }
}

.block-header {
    padding-top: 20px;
    padding-bottom: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

@media screen and (max-width: 1200px) {
    .block-header {
        padding-top: 41px;
        padding-bottom: 18px;
    }
}

@media screen and (max-width: 920px) {
    .block-header {
        padding-top: 38px;
        padding-bottom: 21px;
    }
}

@media screen and (max-width: 420px) {
    .block-header {
        padding-top: 19px;
        padding-bottom: 10px;
    }
}

.block-header-p {
    text-transform: uppercase;
    color: #3f4043;
    font-size: 30px;
    text-align: left;
}

@media screen and (max-width: 1200px) {
    .block-header-p {
        font-size: 26px;
    }
}

@media screen and (max-width: 1200px) {
    .block-header-p {
        font-size: 30px;
    }
}

@media screen and (max-width: 420px) {
    .block-header-p {
        font-size: 15px;
    }
}

.block-menu-info-div {
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

@media screen and (max-width: 1200px) {
    .block-menu-info-div {
        padding-top: 28px;
        padding-bottom: 21px;
    }
}

@media screen and (max-width: 920px) {
    .block-menu-info-div {
        padding-top: 21px;
        padding-bottom: 16px;
    }
}

@media screen and (max-width: 420px) {
    .block-menu-info-div {
        padding-top: 10px;
        padding-bottom: 8px;
    }
}

.block-menu-order-item-name {
    color: #3f4043;
    font-size: 27px;
}

@media screen and (max-width: 920px) {
    .block-menu-order-item-name {
        font-size: 24px;
    }
}

@media screen and (max-width: 920px) {
    .block-menu-order-item-name {
        font-size: 27px;
    }
}

@media screen and (max-width: 420px) {
    .block-menu-order-item-name {
        font-size: 15px;
    }
}

.block-menu-order-item-name::before {
    content: "\2022";
    color: #3f4043;
    font-size: 8px;
    padding-right: 2px;
    vertical-align: top;
    line-height: 3;
}

@media screen and (max-width: 1200px) {
    .block-menu-order-item-name::before {
        font-size: 10px;
        padding-right: 3px;
    }
}

@media screen and (max-width: 420px) {
    .block-menu-order-item-name::before {
        font-size: 6px;
        padding-right: 3px;
        line-height: 2.5;
    }
}

.block-menu-order-item-price {
    color: #3f4043;
    font-size: 27px;
    font-weight: 700;
    text-align: right;
}

@media screen and (max-width: 1200px) {
    .block-menu-order-item-price {
        font-size: 24px;
    }
}

@media screen and (max-width: 920px) {
    .block-menu-order-item-price {
        font-size: 27px;
    }
}

@media screen and (max-width: 420px) {
    .block-menu-order-item-price {
        font-size: 14px;
    }
}

.block-menu-order-item-descr {
    color: #3f4043;
    font-size: 17.5px;
    font-weight: 400;
    text-align: justify;
}

@media screen and (max-width: 1200px) {
    .block-menu-order-item-descr {
        font-size: 16px;
    }
}

@media screen and (max-width: 920px) {
    .block-menu-order-item-descr {
        font-size: 17.5px;
    }
}

@media screen and (max-width: 420px) {
    .block-menu-order-item-descr {
        font-size: 9px;
    }
}

/*------------------------------------------*/

/*--------------FOOTER-BLOCK----------------*/
.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 38px;
    margin: 40px 20px 20px 20px;
    background-color: #acd9ad;
}

@media screen and (max-width: 1200px) {
    .footer-container {
        padding: 7px 38px;
        margin: 84px 40px 35px 34px;
    }
}

.footer-container-descr {
    display: flex;
    font-family: 'Montserrat', sans-serif;
    color: #ffffff;
    font-size: 18px;
    line-height: 16px;
}

/*----------for section width 640px---------*/
@media screen and (max-width: 920px) {
    .footer-container {
        padding: 25px 100px;
        margin: 107px 35px 50px 35px;
    }

    .footer-container-img {
        display: none;
    }

    .footer-container-descr {
        display: block;
        text-align: center;
    }
}

/*------------------------------------------*/

/*----------for section width 320px---------*/
@media screen and (max-width: 420px) {
    .footer-container {
        padding: 12px 15px;
        margin: 48px 23px 22px 23px;

    }

    .footer-container-descr {
        font-size: 12px;
    }
}

/*------------------------------------------*/